using BepInEx;
using BepInEx.Logging;

namespace LootValueEX
{
    [BepInPlugin("pro.kaiden.lootvalueex", "LootValueEX", "0.1.0")]
    internal class Plugin : BaseUnityPlugin
    {
        internal static ManualLogSource Log { get; private set; }
        private void Awake()
        {
            Log = base.Logger;

            new Patches.TraderClassPatch().Enable();

            new Patches.Tooltips.GridItemTooltipPatch().Enable();
            new Patches.Tooltips.TooltipPatch().Enable();
            new Patches.Tooltips.InsuranceGridPatch().Enable();
            new Patches.Tooltips.InsuranceSlotPatch().Enable();
            new Patches.Tooltips.ItemPricePatch().Enable();
            new Patches.Tooltips.TradingItemPatch().Enable();
            new Patches.Tooltips.HandbookPatching().Enable();
            new Patches.Tooltips.BarterItemPatch().Enable();

            new Patches.Screens.InventoryScreenPatch().Enable();
        }
    }
}
